Mailboxes

List mailboxes

Lists active account mailboxes. Furnace strips smtp_password and imap_password before returning each mailbox. Results can be filtered by mailbox tags.

GET/v1/mailboxes

Authorization

bearerAuth
AuthorizationBearer <token>

Use an account API key in the Authorization header: Authorization: Bearer f_....

In: header

Query Parameters

limit?integer

Number of rows to return. Defaults to 20; maximum 100.

Range0 <= value <= 100
Default20
offset?integer

Zero-based offset for pagination.

Range0 <= value
Default0
tag_ids?string

Comma-separated mailbox tag ids. Returns mailboxes that have any of the listed tags.

curl -X GET "https://example.com/v1/mailboxes"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65",      "email": "user@example.com",      "display_name": "string",      "provider": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "tags": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string",          "color": "string",          "created_at": "2019-08-24T14:15:22Z"        }      ]    }  ],  "limit": 0,  "offset": 0,  "total_count": 0}
{  "error": {    "type": "authentication_error",    "code": "invalid_api_key",    "message": "A valid Furnace API key is required"  }}
{  "error": {    "type": "rate_limit_error",    "code": "rate_limit_exceeded",    "message": "Rate limit exceeded for this account"  }}
{  "error": {    "type": "api_error",    "code": "internal_error",    "message": "Internal server error"  }}